Index: XIOS/trunk/src/interface/fortran_attr/domain_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/domain_interface_attr.F90	(revision 656)
+++ XIOS/trunk/src/interface/fortran_attr/domain_interface_attr.F90	(revision 657)
@@ -277,18 +277,16 @@
 
 
-    SUBROUTINE cxios_set_domain_i_index(domain_hdl, i_index, extent1, extent2) BIND(C)
+    SUBROUTINE cxios_set_domain_i_index(domain_hdl, i_index, extent1) BIND(C)
       USE ISO_C_BINDING
       INTEGER (kind = C_INTPTR_T), VALUE       :: domain_hdl
       INTEGER (KIND=C_INT)     , DIMENSION(*) :: i_index
       INTEGER (kind = C_INT), VALUE  :: extent1
-      INTEGER (kind = C_INT), VALUE  :: extent2
     END SUBROUTINE cxios_set_domain_i_index
 
-    SUBROUTINE cxios_get_domain_i_index(domain_hdl, i_index, extent1, extent2) BIND(C)
+    SUBROUTINE cxios_get_domain_i_index(domain_hdl, i_index, extent1) BIND(C)
       USE ISO_C_BINDING
       INTEGER (kind = C_INTPTR_T), VALUE       :: domain_hdl
       INTEGER (KIND=C_INT)     , DIMENSION(*) :: i_index
       INTEGER (kind = C_INT), VALUE  :: extent1
-      INTEGER (kind = C_INT), VALUE  :: extent2
     END SUBROUTINE cxios_get_domain_i_index
 
@@ -319,37 +317,16 @@
 
 
-    SUBROUTINE cxios_set_domain_iend(domain_hdl, iend) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: iend
-    END SUBROUTINE cxios_set_domain_iend
-
-    SUBROUTINE cxios_get_domain_iend(domain_hdl, iend) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)             :: iend
-    END SUBROUTINE cxios_get_domain_iend
-
-    FUNCTION cxios_is_defined_domain_iend(domain_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_iend
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-    END FUNCTION cxios_is_defined_domain_iend
-
-
-    SUBROUTINE cxios_set_domain_j_index(domain_hdl, j_index, extent1, extent2) BIND(C)
+    SUBROUTINE cxios_set_domain_j_index(domain_hdl, j_index, extent1) BIND(C)
       USE ISO_C_BINDING
       INTEGER (kind = C_INTPTR_T), VALUE       :: domain_hdl
       INTEGER (KIND=C_INT)     , DIMENSION(*) :: j_index
       INTEGER (kind = C_INT), VALUE  :: extent1
-      INTEGER (kind = C_INT), VALUE  :: extent2
     END SUBROUTINE cxios_set_domain_j_index
 
-    SUBROUTINE cxios_get_domain_j_index(domain_hdl, j_index, extent1, extent2) BIND(C)
+    SUBROUTINE cxios_get_domain_j_index(domain_hdl, j_index, extent1) BIND(C)
       USE ISO_C_BINDING
       INTEGER (kind = C_INTPTR_T), VALUE       :: domain_hdl
       INTEGER (KIND=C_INT)     , DIMENSION(*) :: j_index
       INTEGER (kind = C_INT), VALUE  :: extent1
-      INTEGER (kind = C_INT), VALUE  :: extent2
     END SUBROUTINE cxios_get_domain_j_index
 
@@ -378,23 +355,4 @@
       INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
     END FUNCTION cxios_is_defined_domain_jbegin
-
-
-    SUBROUTINE cxios_set_domain_jend(domain_hdl, jend) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: jend
-    END SUBROUTINE cxios_set_domain_jend
-
-    SUBROUTINE cxios_get_domain_jend(domain_hdl, jend) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)             :: jend
-    END SUBROUTINE cxios_get_domain_jend
-
-    FUNCTION cxios_is_defined_domain_jend(domain_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_jend
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-    END FUNCTION cxios_is_defined_domain_jend
 
 
@@ -642,156 +600,4 @@
     END FUNCTION cxios_is_defined_domain_type
 
-
-    SUBROUTINE cxios_set_domain_zoom_ibegin(domain_hdl, zoom_ibegin) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_ibegin
-    END SUBROUTINE cxios_set_domain_zoom_ibegin
-
-    SUBROUTINE cxios_get_domain_zoom_ibegin(domain_hdl, zoom_ibegin) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)             :: zoom_ibegin
-    END SUBROUTINE cxios_get_domain_zoom_ibegin
-
-    FUNCTION cxios_is_defined_domain_zoom_ibegin(domain_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_zoom_ibegin
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-    END FUNCTION cxios_is_defined_domain_zoom_ibegin
-
-
-    SUBROUTINE cxios_set_domain_zoom_ibegin_loc(domain_hdl, zoom_ibegin_loc) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_ibegin_loc
-    END SUBROUTINE cxios_set_domain_zoom_ibegin_loc
-
-    SUBROUTINE cxios_get_domain_zoom_ibegin_loc(domain_hdl, zoom_ibegin_loc) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)             :: zoom_ibegin_loc
-    END SUBROUTINE cxios_get_domain_zoom_ibegin_loc
-
-    FUNCTION cxios_is_defined_domain_zoom_ibegin_loc(domain_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_zoom_ibegin_loc
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-    END FUNCTION cxios_is_defined_domain_zoom_ibegin_loc
-
-
-    SUBROUTINE cxios_set_domain_zoom_jbegin(domain_hdl, zoom_jbegin) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_jbegin
-    END SUBROUTINE cxios_set_domain_zoom_jbegin
-
-    SUBROUTINE cxios_get_domain_zoom_jbegin(domain_hdl, zoom_jbegin) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)             :: zoom_jbegin
-    END SUBROUTINE cxios_get_domain_zoom_jbegin
-
-    FUNCTION cxios_is_defined_domain_zoom_jbegin(domain_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_zoom_jbegin
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-    END FUNCTION cxios_is_defined_domain_zoom_jbegin
-
-
-    SUBROUTINE cxios_set_domain_zoom_jbegin_loc(domain_hdl, zoom_jbegin_loc) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_jbegin_loc
-    END SUBROUTINE cxios_set_domain_zoom_jbegin_loc
-
-    SUBROUTINE cxios_get_domain_zoom_jbegin_loc(domain_hdl, zoom_jbegin_loc) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)             :: zoom_jbegin_loc
-    END SUBROUTINE cxios_get_domain_zoom_jbegin_loc
-
-    FUNCTION cxios_is_defined_domain_zoom_jbegin_loc(domain_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_zoom_jbegin_loc
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-    END FUNCTION cxios_is_defined_domain_zoom_jbegin_loc
-
-
-    SUBROUTINE cxios_set_domain_zoom_ni(domain_hdl, zoom_ni) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_ni
-    END SUBROUTINE cxios_set_domain_zoom_ni
-
-    SUBROUTINE cxios_get_domain_zoom_ni(domain_hdl, zoom_ni) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)             :: zoom_ni
-    END SUBROUTINE cxios_get_domain_zoom_ni
-
-    FUNCTION cxios_is_defined_domain_zoom_ni(domain_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_zoom_ni
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-    END FUNCTION cxios_is_defined_domain_zoom_ni
-
-
-    SUBROUTINE cxios_set_domain_zoom_ni_loc(domain_hdl, zoom_ni_loc) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_ni_loc
-    END SUBROUTINE cxios_set_domain_zoom_ni_loc
-
-    SUBROUTINE cxios_get_domain_zoom_ni_loc(domain_hdl, zoom_ni_loc) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)             :: zoom_ni_loc
-    END SUBROUTINE cxios_get_domain_zoom_ni_loc
-
-    FUNCTION cxios_is_defined_domain_zoom_ni_loc(domain_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_zoom_ni_loc
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-    END FUNCTION cxios_is_defined_domain_zoom_ni_loc
-
-
-    SUBROUTINE cxios_set_domain_zoom_nj(domain_hdl, zoom_nj) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_nj
-    END SUBROUTINE cxios_set_domain_zoom_nj
-
-    SUBROUTINE cxios_get_domain_zoom_nj(domain_hdl, zoom_nj) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)             :: zoom_nj
-    END SUBROUTINE cxios_get_domain_zoom_nj
-
-    FUNCTION cxios_is_defined_domain_zoom_nj(domain_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_zoom_nj
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-    END FUNCTION cxios_is_defined_domain_zoom_nj
-
-
-    SUBROUTINE cxios_set_domain_zoom_nj_loc(domain_hdl, zoom_nj_loc) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_nj_loc
-    END SUBROUTINE cxios_set_domain_zoom_nj_loc
-
-    SUBROUTINE cxios_get_domain_zoom_nj_loc(domain_hdl, zoom_nj_loc) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-      INTEGER (KIND=C_INT)             :: zoom_nj_loc
-    END SUBROUTINE cxios_get_domain_zoom_nj_loc
-
-    FUNCTION cxios_is_defined_domain_zoom_nj_loc(domain_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_zoom_nj_loc
-      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
-    END FUNCTION cxios_is_defined_domain_zoom_nj_loc
-
   END INTERFACE
 
Index: XIOS/trunk/src/interface/fortran_attr/domaingroup_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/domaingroup_interface_attr.F90	(revision 656)
+++ XIOS/trunk/src/interface/fortran_attr/domaingroup_interface_attr.F90	(revision 657)
@@ -298,18 +298,16 @@
 
 
-    SUBROUTINE cxios_set_domaingroup_i_index(domaingroup_hdl, i_index, extent1, extent2) BIND(C)
+    SUBROUTINE cxios_set_domaingroup_i_index(domaingroup_hdl, i_index, extent1) BIND(C)
       USE ISO_C_BINDING
       INTEGER (kind = C_INTPTR_T), VALUE       :: domaingroup_hdl
       INTEGER (KIND=C_INT)     , DIMENSION(*) :: i_index
       INTEGER (kind = C_INT), VALUE  :: extent1
-      INTEGER (kind = C_INT), VALUE  :: extent2
     END SUBROUTINE cxios_set_domaingroup_i_index
 
-    SUBROUTINE cxios_get_domaingroup_i_index(domaingroup_hdl, i_index, extent1, extent2) BIND(C)
+    SUBROUTINE cxios_get_domaingroup_i_index(domaingroup_hdl, i_index, extent1) BIND(C)
       USE ISO_C_BINDING
       INTEGER (kind = C_INTPTR_T), VALUE       :: domaingroup_hdl
       INTEGER (KIND=C_INT)     , DIMENSION(*) :: i_index
       INTEGER (kind = C_INT), VALUE  :: extent1
-      INTEGER (kind = C_INT), VALUE  :: extent2
     END SUBROUTINE cxios_get_domaingroup_i_index
 
@@ -340,37 +338,16 @@
 
 
-    SUBROUTINE cxios_set_domaingroup_iend(domaingroup_hdl, iend) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: iend
-    END SUBROUTINE cxios_set_domaingroup_iend
-
-    SUBROUTINE cxios_get_domaingroup_iend(domaingroup_hdl, iend) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)             :: iend
-    END SUBROUTINE cxios_get_domaingroup_iend
-
-    FUNCTION cxios_is_defined_domaingroup_iend(domaingroup_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_iend
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-    END FUNCTION cxios_is_defined_domaingroup_iend
-
-
-    SUBROUTINE cxios_set_domaingroup_j_index(domaingroup_hdl, j_index, extent1, extent2) BIND(C)
+    SUBROUTINE cxios_set_domaingroup_j_index(domaingroup_hdl, j_index, extent1) BIND(C)
       USE ISO_C_BINDING
       INTEGER (kind = C_INTPTR_T), VALUE       :: domaingroup_hdl
       INTEGER (KIND=C_INT)     , DIMENSION(*) :: j_index
       INTEGER (kind = C_INT), VALUE  :: extent1
-      INTEGER (kind = C_INT), VALUE  :: extent2
     END SUBROUTINE cxios_set_domaingroup_j_index
 
-    SUBROUTINE cxios_get_domaingroup_j_index(domaingroup_hdl, j_index, extent1, extent2) BIND(C)
+    SUBROUTINE cxios_get_domaingroup_j_index(domaingroup_hdl, j_index, extent1) BIND(C)
       USE ISO_C_BINDING
       INTEGER (kind = C_INTPTR_T), VALUE       :: domaingroup_hdl
       INTEGER (KIND=C_INT)     , DIMENSION(*) :: j_index
       INTEGER (kind = C_INT), VALUE  :: extent1
-      INTEGER (kind = C_INT), VALUE  :: extent2
     END SUBROUTINE cxios_get_domaingroup_j_index
 
@@ -399,23 +376,4 @@
       INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
     END FUNCTION cxios_is_defined_domaingroup_jbegin
-
-
-    SUBROUTINE cxios_set_domaingroup_jend(domaingroup_hdl, jend) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: jend
-    END SUBROUTINE cxios_set_domaingroup_jend
-
-    SUBROUTINE cxios_get_domaingroup_jend(domaingroup_hdl, jend) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)             :: jend
-    END SUBROUTINE cxios_get_domaingroup_jend
-
-    FUNCTION cxios_is_defined_domaingroup_jend(domaingroup_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_jend
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-    END FUNCTION cxios_is_defined_domaingroup_jend
 
 
@@ -663,156 +621,4 @@
     END FUNCTION cxios_is_defined_domaingroup_type
 
-
-    SUBROUTINE cxios_set_domaingroup_zoom_ibegin(domaingroup_hdl, zoom_ibegin) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_ibegin
-    END SUBROUTINE cxios_set_domaingroup_zoom_ibegin
-
-    SUBROUTINE cxios_get_domaingroup_zoom_ibegin(domaingroup_hdl, zoom_ibegin) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)             :: zoom_ibegin
-    END SUBROUTINE cxios_get_domaingroup_zoom_ibegin
-
-    FUNCTION cxios_is_defined_domaingroup_zoom_ibegin(domaingroup_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_zoom_ibegin
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-    END FUNCTION cxios_is_defined_domaingroup_zoom_ibegin
-
-
-    SUBROUTINE cxios_set_domaingroup_zoom_ibegin_loc(domaingroup_hdl, zoom_ibegin_loc) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_ibegin_loc
-    END SUBROUTINE cxios_set_domaingroup_zoom_ibegin_loc
-
-    SUBROUTINE cxios_get_domaingroup_zoom_ibegin_loc(domaingroup_hdl, zoom_ibegin_loc) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)             :: zoom_ibegin_loc
-    END SUBROUTINE cxios_get_domaingroup_zoom_ibegin_loc
-
-    FUNCTION cxios_is_defined_domaingroup_zoom_ibegin_loc(domaingroup_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_zoom_ibegin_loc
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-    END FUNCTION cxios_is_defined_domaingroup_zoom_ibegin_loc
-
-
-    SUBROUTINE cxios_set_domaingroup_zoom_jbegin(domaingroup_hdl, zoom_jbegin) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_jbegin
-    END SUBROUTINE cxios_set_domaingroup_zoom_jbegin
-
-    SUBROUTINE cxios_get_domaingroup_zoom_jbegin(domaingroup_hdl, zoom_jbegin) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)             :: zoom_jbegin
-    END SUBROUTINE cxios_get_domaingroup_zoom_jbegin
-
-    FUNCTION cxios_is_defined_domaingroup_zoom_jbegin(domaingroup_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_zoom_jbegin
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-    END FUNCTION cxios_is_defined_domaingroup_zoom_jbegin
-
-
-    SUBROUTINE cxios_set_domaingroup_zoom_jbegin_loc(domaingroup_hdl, zoom_jbegin_loc) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_jbegin_loc
-    END SUBROUTINE cxios_set_domaingroup_zoom_jbegin_loc
-
-    SUBROUTINE cxios_get_domaingroup_zoom_jbegin_loc(domaingroup_hdl, zoom_jbegin_loc) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)             :: zoom_jbegin_loc
-    END SUBROUTINE cxios_get_domaingroup_zoom_jbegin_loc
-
-    FUNCTION cxios_is_defined_domaingroup_zoom_jbegin_loc(domaingroup_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_zoom_jbegin_loc
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-    END FUNCTION cxios_is_defined_domaingroup_zoom_jbegin_loc
-
-
-    SUBROUTINE cxios_set_domaingroup_zoom_ni(domaingroup_hdl, zoom_ni) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_ni
-    END SUBROUTINE cxios_set_domaingroup_zoom_ni
-
-    SUBROUTINE cxios_get_domaingroup_zoom_ni(domaingroup_hdl, zoom_ni) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)             :: zoom_ni
-    END SUBROUTINE cxios_get_domaingroup_zoom_ni
-
-    FUNCTION cxios_is_defined_domaingroup_zoom_ni(domaingroup_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_zoom_ni
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-    END FUNCTION cxios_is_defined_domaingroup_zoom_ni
-
-
-    SUBROUTINE cxios_set_domaingroup_zoom_ni_loc(domaingroup_hdl, zoom_ni_loc) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_ni_loc
-    END SUBROUTINE cxios_set_domaingroup_zoom_ni_loc
-
-    SUBROUTINE cxios_get_domaingroup_zoom_ni_loc(domaingroup_hdl, zoom_ni_loc) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)             :: zoom_ni_loc
-    END SUBROUTINE cxios_get_domaingroup_zoom_ni_loc
-
-    FUNCTION cxios_is_defined_domaingroup_zoom_ni_loc(domaingroup_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_zoom_ni_loc
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-    END FUNCTION cxios_is_defined_domaingroup_zoom_ni_loc
-
-
-    SUBROUTINE cxios_set_domaingroup_zoom_nj(domaingroup_hdl, zoom_nj) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_nj
-    END SUBROUTINE cxios_set_domaingroup_zoom_nj
-
-    SUBROUTINE cxios_get_domaingroup_zoom_nj(domaingroup_hdl, zoom_nj) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)             :: zoom_nj
-    END SUBROUTINE cxios_get_domaingroup_zoom_nj
-
-    FUNCTION cxios_is_defined_domaingroup_zoom_nj(domaingroup_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_zoom_nj
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-    END FUNCTION cxios_is_defined_domaingroup_zoom_nj
-
-
-    SUBROUTINE cxios_set_domaingroup_zoom_nj_loc(domaingroup_hdl, zoom_nj_loc) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_nj_loc
-    END SUBROUTINE cxios_set_domaingroup_zoom_nj_loc
-
-    SUBROUTINE cxios_get_domaingroup_zoom_nj_loc(domaingroup_hdl, zoom_nj_loc) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-      INTEGER (KIND=C_INT)             :: zoom_nj_loc
-    END SUBROUTINE cxios_get_domaingroup_zoom_nj_loc
-
-    FUNCTION cxios_is_defined_domaingroup_zoom_nj_loc(domaingroup_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_zoom_nj_loc
-      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
-    END FUNCTION cxios_is_defined_domaingroup_zoom_nj_loc
-
   END INTERFACE
 
